* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  background-color: black;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.calculator {
  display: flex;
  flex-direction: column;
  background-color: black;
  padding: 10px;
  border-radius: 5px;
}

#display,
#display::placeholder {
  background-color: #333;
  color: white;
  border: none;
  border-radius: 5px;
  text-align: end;
  margin-bottom: 10px;
  padding: 5px 10px;
  font-size: 24px;
}

.buttons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 5px;
}

button {
  background-color: #555;
  color: white;
  font-size: 24px;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
  border: none;
}

button:hover {
  background-color: #777;
}

.operator {
  background-color: orange;
}

.multiply {
  padding: 10px 0 0 0;
}

.zero {
  grid-column: 1 / span 2;
}

.equals {
  background-color: cadetblue;
  grid-column: 3 / span 2;
}

.clear {
  background-color: indianred;
  grid-column: 1 / span 2;
}
